com.microfocus.awm.meta.interfaces

## Interface ElementListStructure

- All Superinterfaces:
    AWMIdentifiableObject, AWMObject, org.eclipse.emf.ecore.EObject, IFunctionPackageDefinable, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    ElementListStructureImpl

      public interface ElementListStructure
      extends AWMIdentifiableObject

  An element list structure describes a table structure for the table view or a tree table view. This is basically the definition of columns, in which the property values of elements can be displayed at run time.

  The following features are supported:

  - `Has Column Property`
  - `Has List Property`
  - `Has Action`
  - `Label`
  - `Table View ID`
  - `Table View Label`
  See Also:
    `TaurusPackage.getElementListStructure()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `GENERATED_ID` ID prefix for generated (non configured) Element List Structures.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<RElementlistAction>` | `getHasAction()` Returns the value of the 'Has Action' containment reference list.
    `org.eclipse.emf.common.util.EList<RElementlistColumn>` | `getHasColumnProperty()` Returns the value of the 'Has Column Property' containment reference list.
    `org.eclipse.emf.common.util.EList<RElementlistProperty>` | `getHasListProperty()` Deprecated. The relationship is no longer used by the client. Element list properties will be added to element lists as soon as the tool returns string output parameters with the file output parameter.
    `java.lang.String` | `getLabel()` Returns the value of the 'Label' attribute.
    `java.lang.String` | `getLabelFromHierarchy()` Returns the Label or the ID if the Label wasn't set.
    `java.lang.String` | `getTableViewID()` Returns the value of the 'Table View ID' attribute.
    `java.lang.String` | `getTableViewLabel()` Returns the value of the 'Table View Label' attribute.
    `boolean` | `isSetLabel()` Returns whether the value of the '`Label`' attribute is set.
    `void` | `setLabel(java.lang.String value)` Sets the value of the '`Label`' attribute.
    `void` | `setTableViewID(java.lang.String value)` Sets the value of the '`Table View ID`' attribute.
    `void` | `setTableViewLabel(java.lang.String value)` Sets the value of the '`Table View Label`' attribute.
    `void` | `unsetLabel()` Unsets the value of the '`Label`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMIdentifiableObject

      `getID, getModelEditorGroup, isSetModelEditorGroup, setID, setModelEditorGroup, unsetModelEditorGroup`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.IFunctionPackageDefinable

      `getExtensionID, setExtensionID`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### GENERATED_ID

          static final java.lang.String GENERATED_ID

      ID prefix for generated (non configured) Element List Structures.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getHasColumnProperty

          org.eclipse.emf.common.util.EList<RElementlistColumn> getHasColumnProperty()

      Returns the value of the 'Has Column Property' containment reference list. The list contents are of type `RElementlistColumn`. Relationship to a property that describes a table column of the element list structure.
      Returns:
        the value of the 'Has Column Property' containment reference list.
      See Also:
        `TaurusPackage.getElementListStructure_HasColumnProperty()`

    - #### getHasListProperty

          @Deprecated
          org.eclipse.emf.common.util.EList<RElementlistProperty> getHasListProperty()

      Deprecated. The relationship is no longer used by the client. Element list properties will be added to element lists as soon as the tool returns string output parameters with the file output parameter.
      Returns the value of the 'Has List Property' containment reference list. The list contents are of type `RElementlistProperty`.

      If the meaning of the 'Has List Property' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Has List Property' containment reference list.
      See Also:
        `TaurusPackage.getElementListStructure_HasListProperty()`

    - #### getHasAction

          org.eclipse.emf.common.util.EList<RElementlistAction> getHasAction()

      Returns the value of the 'Has Action' containment reference list. The list contents are of type `RElementlistAction`. Relationship to an action descriptor that has an effect on any elements in the list.
      Returns:
        the value of the 'Has Action' containment reference list.
      See Also:
        `TaurusPackage.getElementListStructure_HasAction()`

    - #### getLabel

          java.lang.String getLabel()

      Returns the value of the 'Label' attribute.
      The display name of the element list structure. Display names only appear in the Column Modeling dialog box. If no label is stated, the ID is used.
      Returns:
        the value of the 'Label' attribute.
      See Also:
        `isSetLabel()`, `unsetLabel()`, `setLabel(String)`, `TaurusPackage.getElementListStructure_Label()`

    - #### getLabelFromHierarchy

          java.lang.String getLabelFromHierarchy()

      Returns the Label or the ID if the Label wasn't set.
      Returns:
        the label

    - #### setLabel

          void setLabel(java.lang.String value)

      Sets the value of the '`Label`' attribute.
      Parameters:
        `value` - the new value of the 'Label' attribute.
      See Also:
        `isSetLabel()`, `unsetLabel()`, `getLabel()`

    - #### unsetLabel

          void unsetLabel()

      Unsets the value of the '`Label`' attribute.
      See Also:
        `isSetLabel()`, `getLabel()`, `setLabel(String)`

    - #### isSetLabel

          boolean isSetLabel()

      Returns whether the value of the '`Label`' attribute is set.
      Returns:
        whether the value of the 'Label' attribute is set.
      See Also:
        `unsetLabel()`, `getLabel()`, `setLabel(String)`

    - #### getTableViewID

          java.lang.String getTableViewID()

      Returns the value of the 'Table View ID' attribute.
      The Table Results View secondary ID in which element lists with this structure are shown.
      Returns:
        the value of the 'Table View ID' attribute.
      See Also:
        `setTableViewID(String)`, `TaurusPackage.getElementListStructure_TableViewID()`

    - #### setTableViewID

          void setTableViewID(java.lang.String value)

      Sets the value of the '`Table View ID`' attribute.
      Parameters:
        `value` - the new value of the 'Table View ID' attribute.
      See Also:
        `getTableViewID()`

    - #### getTableViewLabel

          java.lang.String getTableViewLabel()

      Returns the value of the 'Table View Label' attribute.
      The label that the Table Results View takes when showing element lists with this structure.
      Returns:
        the value of the 'Table View Label' attribute.
      See Also:
        `setTableViewLabel(String)`, `TaurusPackage.getElementListStructure_TableViewLabel()`

    - #### setTableViewLabel

          void setTableViewLabel(java.lang.String value)

      Sets the value of the '`Table View Label`' attribute.
      Parameters:
        `value` - the new value of the 'Table View Label' attribute.
      See Also:
        `getTableViewLabel()`

Copyright © 2015 Micro Focus GmbH. All rights reserved.